## fcitx-anthy 0.2.1

=== po/CMakeLists.txt ===
set(PO_LANGS de ja zh_CN zh_TW)
foreach(lang ${PO_LANGS})
  fcitx_translate_add_po_file("${lang}" "${lang}.po")
endforeach()
fcitx_translate_set_pot_target(pot fcitx-anthy fcitx-anthy.pot)

## fcitx-anthy 0.2.0

=== debian/changelog ===
fcitx-anthy (0.2.0-2) unstable; urgency=low

  * Add anthy to Depends (LP: #1235640)

 -- Aron Xu <aron@debian.org>  Fri, 08 Nov 2013 22:55:49 +0800

fcitx-anthy (0.2.0-1) unstable; urgency=low

  * New upstream release.

 -- Aron Xu <aron@debian.org>  Fri, 02 Aug 2013 12:27:47 +0800

fcitx-anthy (0.1.1-1) experimental; urgency=low

  * New upstream release.
  * debian/control: fcitx 4.2.5 -> 4.2.6

 -- Aron Xu <aron@debian.org>  Fri, 30 Nov 2012 20:12:38 +0800

fcitx-anthy (0.1.0-1) experimental; urgency=low

  * Initial release (Closes: #658149)

 -- Aron Xu <aron@debian.org>  Sat, 11 Aug 2012 18:47:18 +0800

=== debian/control ===
Source: fcitx-anthy
Section: utils
Priority: optional
Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
Uploaders: Aron Xu <aron@debian.org>, YunQiang Su <wzssyqa@gmail.com>
Build-Depends: debhelper (>= 9), cmake, intltool, pkg-config,
 fcitx-libs-dev (>= 1:4.2.8), fcitx-bin (>= 1:4.2.8), libanthy-dev
Standards-Version: 3.9.4
Homepage: http://code.google.com/p/fcitx
Vcs-Git: git://anonscm.debian.org/pkg-ime/fcitx-anthy.git
Vcs-Browser: http://anonscm.debian.org/pkg-ime/?p=pkg-ime/fcitx-anthy.git

Package: fcitx-anthy
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, fcitx-bin, 
  fcitx-data (>= 1:4.2.6), fcitx-modules, anthy
Recommends: fcitx (>= 1:4.2.6)
Breaks: fcitx (<< 1:4.2.6)
Description: Fcitx wrapper for Anthy IM engine
 fcitx-googlepinyin is a wrapper of Anthy IM engine for Fcitx.
 .
 Anthy is a Japanese input method which converts hiragana text
 to mixed kana and kanji.

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/default.mk
CFLAGS += $(CPPFLAGS)
CXXFLAGS += $(CPPFLAGS)

%:
	dh $@ 
override_dh_makeshlibs:

override_dh_auto_configure:
	dh_auto_configure -- \
	    -DLIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH)

=== debian/watch ===
version=3
http://code.google.com/p/fcitx/downloads/list .*/fcitx-anthy-*\.*(.*)\.tar\.xz

## fcitx-anthy 0.2.1

=== debian/changelog ===
fcitx-anthy (0.2.1-3) experimental; urgency=medium

  * Adding more copyright info.

 -- Aron Xu <aron@debian.org>  Mon, 09 Feb 2015 13:34:35 +0800

fcitx-anthy (0.2.1-2) experimental; urgency=low

  * New upstream release.
  * Bump std-ver to 3.9.6, no change.
  * debian/copyright: re-format and update.
  * Update description
  * Mark package as M-A: same.

 -- Aron Xu <aron@debian.org>  Tue, 09 Dec 2014 18:02:53 +0800

=== debian/control ===
Source: fcitx-anthy
Section: utils
Priority: optional
Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
Uploaders: Aron Xu <aron@debian.org>, YunQiang Su <wzssyqa@gmail.com>
Build-Depends: debhelper (>= 9), cmake, intltool, pkg-config,
 fcitx-libs-dev (>= 1:4.2.8), fcitx-bin (>= 1:4.2.8), libanthy-dev
Standards-Version: 3.9.6
Homepage: http://code.google.com/p/fcitx
Vcs-Git: git://anonscm.debian.org/pkg-ime/fcitx-anthy.git
Vcs-Browser: http://anonscm.debian.org/pkg-ime/?p=pkg-ime/fcitx-anthy.git

Package: fcitx-anthy
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}, fcitx-bin, 
  fcitx-data (>= 1:4.2.6), fcitx-modules, anthy
Recommends: fcitx (>= 1:4.2.6)
Breaks: fcitx (<< 1:4.2.6)
Description: Fcitx wrapper for Anthy IM engine
 fcitx-anthy is a wrapper of Anthy IM engine for Fcitx.
 .
 Anthy is a Japanese input method which converts hiragana text
 to mixed kana and kanji.

## fcitx-anthy 0.2.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

project(fcitx-anthy)

set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})

FIND_PACKAGE(Fcitx 4.2.8 REQUIRED)
FIND_PACKAGE(Anthy REQUIRED)

_fcitx_add_uninstall_target()

set(CMAKE_C_FLAGS "-Wall -Wextra -Wno-sign-compare -Wno-unused-parameter -fvisibility=hidden ${CMAKE_C_FLAGS}")
set(CMAKE_CXX_FLAGS "-Wall -Wextra -Wno-sign-compare -Wno-unused-parameter -fvisibility=hidden ${CMAKE_CXX_FLAGS}")
set(CMAKE_SHARED_LINKER_FLAGS "-Wl,--as-needed ${CMAKE_SHARED_LINKER_FLAGS}")
set(CMAKE_MODULE_LINKER_FLAGS "-Wl,--as-needed ${CMAKE_MODULE_LINKER_FLAGS}")

if(NOT DEFINED LIB_INSTALL_DIR)
  set(LIB_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/lib)
endif()

set(HAVE_CONFIG_H)

set(libdir ${LIB_INSTALL_DIR})

add_subdirectory(po)
add_subdirectory(src)
add_subdirectory(icon)
add_subdirectory(profile)

=== icon/CMakeLists.txt ===
install(DIRECTORY 48x48 22x22 scalable DESTINATION share/icons/hicolor
         PATTERN ".*" EXCLUDE
         PATTERN "*~" EXCLUDE)


install(FILES 48x48/status/fcitx-anthy.png DESTINATION share/fcitx/imicon RENAME anthy.png)

=== debian/changelog ===
fcitx-anthy (0.2.2-1) unstable; urgency=medium

  * New upstream release.

 -- Aron Xu <aron@debian.org>  Sat, 05 Dec 2015 13:37:30 +0800

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper (>= 9), cmake, intltool, pkg-config,
  fcitx-libs-dev (>= 1:4.2.8), fcitx-bin (>= 1:4.2.8), libanthy-dev
 Standards-Version: 3.9.6
-Homepage: http://code.google.com/p/fcitx
+Homepage: http://fcitx-im.org
 Vcs-Git: git://anonscm.debian.org/pkg-ime/fcitx-anthy.git
 Vcs-Browser: http://anonscm.debian.org/pkg-ime/?p=pkg-ime/fcitx-anthy.git

## fcitx-anthy 0.2.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})
 
-FIND_PACKAGE(Fcitx 4.2.8 REQUIRED)
+FIND_PACKAGE(Fcitx 4.2.9.2 REQUIRED)
 FIND_PACKAGE(Anthy REQUIRED)
 
 _fcitx_add_uninstall_target()

=== po/CMakeLists.txt ===
file(GLOB PO_FILES RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" *.po)

foreach(po_file ${PO_FILES})
  string(REPLACE ".po" "" po_lang "${po_file}")
  fcitx_translate_add_po_file("${po_lang}" "${po_file}")
endforeach()
fcitx_translate_set_pot_target(pot fcitx-anthy fcitx-anthy.pot)

=== src/CMakeLists.txt ===
include_directories (${ANTHY_INCLUDE_DIR})
include_directories (${FCITX4_FCITX_INCLUDE_DIRS})
include_directories (${FCITX4_FCITX_CONFIG_INCLUDE_DIRS})
include_directories (${FCITX4_FCITX_UTILS_INCLUDE_DIRS})

set( fcitx_anthy_sources
     action.cpp
     style_file.cpp
     conversion.cpp
     default_tables.cpp
     factory.cpp
     kana.cpp
     key2kana.cpp
     key2kana_table.cpp
     preedit.cpp
     reading.cpp
     utils.cpp
     conversion.cpp
     imengine.cpp
     nicola.cpp
    )

add_definitions( -DLOCALEDIR=\"${CMAKE_INSTALL_PREFIX}/share/locale\" )

fcitx_add_addon_full(anthy DESC SOURCES ${fcitx_anthy_sources}
  IM_CONFIG anthy.conf
  LINK_LIBS ${ANTHY_LIBRARIES})

=== debian/changelog ===
fcitx-anthy (0.2.3-1build1) bionic; urgency=medium

  * Rebuild against new libanthy1.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 20 Nov 2017 07:51:03 +0100

fcitx-anthy (0.2.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Refresh packaging instructions.
    + Bump debhelper compat to v10.
    + Bump Standards-Version to 4.1.1.
    + Bump fcitx version requirement (4.2.9.2).
    + Use canonical Vcs URL.
    + Use GitHub as homepage.
  * d/copyright: refresh information.
  * d/rules: enable full hardening.
  * d/watch: point to download.fcitx-im.org.

 -- Boyuan Yang <073plan@gmail.com>  Sun, 01 Oct 2017 12:04:42 +0800

=== debian/control ===
Source: fcitx-anthy
Section: utils
Priority: optional
Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
Uploaders:
 Aron Xu <aron@debian.org>,
 YunQiang Su <wzssyqa@gmail.com>,
Build-Depends:
 cmake,
 debhelper (>= 10),
 fcitx-bin (>= 1:4.2.9.2),
 fcitx-libs-dev (>= 1:4.2.9.2),
 intltool,
 libanthy-dev,
 pkg-config,
Standards-Version: 4.1.1
Homepage: https://github.com/fcitx/fcitx-anthy
Vcs-Git: https://anonscm.debian.org/git/pkg-ime/fcitx-anthy.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-ime/fcitx-anthy.git

Package: fcitx-anthy
Architecture: any
Multi-Arch: same
Depends:
 anthy,
 fcitx-bin,
 fcitx-data (>= 1:4.2.9.2),
 fcitx-modules,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 fcitx (>= 1:4.2.9.2),
Breaks:
 fcitx (<< 1:4.2.9.2),
Description: Fcitx wrapper for Anthy IM engine
 fcitx-anthy is a wrapper of Anthy IM engine for Fcitx.
 .
 Anthy is a Japanese input method which converts hiragana text
 to mixed kana and kanji.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ 

override_dh_makeshlibs:

override_dh_auto_configure:
	dh_auto_configure -- \
	    -DLIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH)

## fcitx-anthy 0.2.4

=== profile/CMakeLists.txt ===
file(GLOB STYLE_FILES RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.sty)
install(FILES ${STYLE_FILES} DESTINATION share/fcitx/anthy)

=== debian/changelog ===
fcitx-anthy (0.2.4-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:51:07 +1100

fcitx-anthy (0.2.4-1build1) noble; urgency=medium

  * No-change rebuild against libanthy1t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 19 Mar 2024 05:24:35 +0000

fcitx-anthy (0.2.4-1) unstable; urgency=medium

  * Team upload.
  * Refresh packaging:
    + Bump debhelper compat to v13.
    + Bump Standards-Version to 4.5.1.

 -- Boyuan Yang <byang@debian.org>  Tue, 17 Aug 2021 21:46:08 -0400

fcitx-anthy (0.2.3-2) unstable; urgency=medium

  * Team upload.
  * debian/control
    + Update maintainer address and use input-method team mailing list
      (Closes: #899498).
    + Update email address for YunQiang Su and use the @debian.org one.
    + Bump Standards-Version to 4.1.5 (no changes needed)
    + Update Vcs fields with git repo on Salsa platform
    + Bump debhelper compat to v11.
    + Update homepage field and use the project on GitLab.com.
  * debian/rules: Modernize file and explicitly use architecture.mk.
  * debian/copyright: Refresh information.

 -- Boyuan Yang <073plan@gmail.com>  Sat, 28 Jul 2018 11:36:00 +0800

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,23 @@
 Source: fcitx-anthy
 Section: utils
 Priority: optional
-Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
 Uploaders:
  Aron Xu <aron@debian.org>,
- YunQiang Su <wzssyqa@gmail.com>,
+ YunQiang Su <syq@debian.org>,
 Build-Depends:
- cmake,
- debhelper (>= 10),
+ cmake (>= 3.6),
+ debhelper-compat (= 13),
  fcitx-bin (>= 1:4.2.9.2),
  fcitx-libs-dev (>= 1:4.2.9.2),
  intltool,
  libanthy-dev,
  pkg-config,
-Standards-Version: 4.1.1
+Standards-Version: 4.5.1
 Homepage: https://github.com/fcitx/fcitx-anthy
-Vcs-Git: https://anonscm.debian.org/git/pkg-ime/fcitx-anthy.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-ime/fcitx-anthy.git
+Vcs-Git: https://salsa.debian.org/input-method-team/fcitx-anthy.git
+Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx-anthy
 
 Package: fcitx-anthy
 Architecture: any
